Package org.gradle.api.artifacts

# Interface ComponentModuleMetadata

All Known Subinterfaces:
  `ComponentModuleMetadataDetails`

public interface ComponentModuleMetadata
Contains immutable component module metadata information.

Since:
  2.2

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ModuleIdentifier`
  `getId()`
  The identifier of the module.
  `@Nullable ModuleIdentifier`
  `getReplacedBy()`
  The identifier of module that replaces this module.

- ## Method Details

  - ### getId

    ModuleIdentifier getId()
    The identifier of the module.

  - ### getReplacedBy

    @Nullable ModuleIdentifier getReplacedBy()
    The identifier of module that replaces this module. A real world example: 'com.google.collections:google-collections' is replaced by 'com.google.guava:guava'.